Creates a new transaction for the authenticated user. name is required. data can include key-value pairs from the Transaction Data Keys appendix. transactionType and propertyType accept string or integer enum values.
Body
Required
-
Integer values: Listing=0, Purchase=1, Lease=2, LeaseListing=3
Values are
Listing,Purchase,Lease, orLeaseListing. -
Integer values: Residential=0, Commercial=1, Industrial=2, VacantLand=3, MultiUnit=4, FarmAndRanch=5, Condominium=6, ManufacturedHome=7, Coop=8, Unlisted=9
Values are
Residential,Commercial,Industrial,VacantLand,MultiUnit,FarmAndRanch,Condominium,ManufacturedHome,Coop, orUnlisted. -
Key-value pairs of transaction data. See Transaction Data Keys in the introduction.
POST
/transactions
curl \
--request POST 'https://ws.zipformplus.com/api/transactions' \
--header "X-Auth-ContextId: $API_KEY" \
--header "Content-Type: application/json" \
--data '{"name":"123 Main Street","status":"active","transactionType":"Listing","propertyType":"Residential","data":{"additionalProperty1":"string","additionalProperty2":"string"}}'
Request examples
{
"name": "123 Main Street",
"status": "active",
"transactionType": "Listing",
"propertyType": "Residential",
"data": {
"additionalProperty1": "string",
"additionalProperty2": "string"
}
}
Response examples (201)
{
"id": "string",
"name": "1060 Mountain St",
"status": "active",
"expiration": "2026-05-04T09:42:00Z",
"transactionType": "Listing",
"propertyType": "Residential",
"hasFiles": true,
"created": "2026-05-04T09:42:00Z",
"lastUpdated": "2026-05-04T09:42:00Z",
"ownerName": "string",
"number": 1033771,
"seller": "string",
"buyer": "string",
"propertyAddress": "string",
"address": "string",
"city": "string",
"state": "string",
"zip": "string",
"isSigned": true,
"EncryptedOwnerId": "string"
}